<template>
    <div class="loading-container" v-if="isShow">
        <div class="loading-bar"></div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
    name: 'loading',
    data() {
        return {}
    },
    computed: {
        ...mapGetters({
            loading: 'loading'
        }),
        isShow() {
            return this.loading;
        }
    }
}
</script>

<style lang="css" scoped>
.loading-container {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    background: rgba(255, 255, 255, 0.5);
}

.loading-bar {
    position: absolute;
    width: 100%;
    height: 100%;
    background: url(~assets/images/icon/loading.gif) no-repeat 50% 50%;
    background-size: 50px auto;
}
</style>
